Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Sets the enclosure lighting

Request

Custom lighting mode (POST /set-custom-lighting) must be enabled to gain control of the lighting system. Automatic lighting (POST /set-automatic-lighting) must be enabled when finished.

Security
Bearer
Body
redinteger(int32)

The red component of the light [0-255]

greeninteger(int32)

The green component of the light [0-255]

blueinteger(int32)

The blue component of the light [0-255]

whiteinteger(int32)

The white component of the light [0-255]

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/enclosure' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "red": 100,
    "green": 150,
    "blue": 50,
    "white": 0
  }'

Responses

The light values were set

Response
No content

Sets the enclosure lighting in custom mode

Request

This needs to be called before setting the enclosure lighting values (POST). Once values are set, automatic lighting (POST /set-automatic-lighting) must be enabled

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/enclosure/set-custom-lighting' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The enclosure lighting system was set in custom mode

Response
No content

Sets the enclosure lighting in automatic mode

Request

This needs to be called after setting the enclosure lighting values (POST)

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/enclosure/set-automatic-lighting' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The enclosure lighting system was set in automatic mode

Response
No content

Resets the enclosure lighting to the default white state

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/enclosure/dismiss-lighting-error' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The lights were reset back to the white state

Response
No content

Subscribes to fan events

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/enclosure/monitor-fan-state' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successfully subscribed to fan events

Response
No content

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations